# IT-Karro 2019
# Logo
extends Control

var timeout_fx = 6
var arrow_d = load("res://textures/cursor.png")
var arrow_l = load("res://textures/cursor_2.png")


func _process(delta):
	timeout_fx -= delta
	if (timeout_fx < 1):
		set_opacity(timeout_fx)
	if (timeout_fx < 0):
		timeout_fx = 0
		get_tree().change_scene("res://tetris.tscn")

func _on_en_pressed():
	TranslationServer.set_locale("en")
	get_node("Label_TEST_LANG").set_text(tr("SET_GUI_LANG"))
	
func _on_ru_pressed():
	TranslationServer.set_locale("ru")
	get_node("Label_TEST_LANG").set_text(tr("SET_GUI_LANG"))
	
func _on_RichTextLabel_meta_clicked(meta):
	#get_node("Links").set_scroll_follow(true)
	OS.shell_open(meta)
	
func _input(event):
    if event.type == InputEvent.MOUSE_MOTION:Input.set_custom_mouse_cursor(arrow_d)
    if Input.is_mouse_button_pressed(BUTTON_LEFT):Input.set_custom_mouse_cursor(arrow_l)

func _ready():
	#Input.set_custom_mouse_cursor(arrow_d)
	set_process_input(true)	
	set_process(true)





